/******************************************
  *	    	       psposk - Sample v1.2				*
  *		     PEB For Xtremlua.com				*
  *		     	http://bdpp.c.la				*
  *									*
  *		More information on ps2dev.org			*
  ******************************************
  *		Last UpDate : 04/12/07				*
  ******************************************
  * Name of this sample : InfoPspSample			*
  ******************************************/
  
	#include <pspdebug.h>
	#include <pspdisplay.h>
	#include <pspkernel.h>
	#include <pspmoduleinfo.h>
	#include <psputility.h>
	#include <psputility_osk.h>
	#include <pspgu.h>
	#include <pspgum.h>

	#include <stdio.h>
	#include <string.h>
	#include <stdlib.h>
	
	#include <psposk.h>		// Pensez  inclure ce prototype
	
	//#include <png.h>			// Inutile de la mettre, psposk gre totalement vos png
	//#include "graphics.h"			// De mme avec ce prototype
	// Attention, par contre n'ouliez pas d'inclure la lpng et lz dans votre Makefile!

	#define printf pspDebugScreenPrintf


PSP_MODULE_INFO("InfoPSP Sample", 0, 1, 0);

int exit_callback(int arg1, int arg2, void *common);
int CallbackThread(SceSize args, void *argp);
int SetupCallbacks(void);
void printSystemParam(int id, int iVal, char *sVal);


int main(int argc, char *argv[])
{
	SetupCallbacks();
	
	unsigned short intext2[128] = {0};			// On dclare la variable qui va stocker l'info souhait
	
	SonyOskInfoPsp(PSEUDO,intext2);				// Ici on demande le pseudo pour l'utiliser avec le clavier (sinon utilisez InfoPsp() )
	//SonyOskInfoPsp(ADHOC_CHANNEL,intext2);		// Ici on demande le pseudo pour l'utiliser avec le clavier (sinon utilisez InfoPsp() )
	//SonyOskInfoPsp(WLAN_POWERSAVE,intext2);		// Ici on demande le pseudo pour l'utiliser avec le clavier (sinon utilisez InfoPsp() )
	//SonyOskInfoPsp(DATE_FORMAT,intext2);		// Ici on demande le pseudo pour l'utiliser avec le clavier (sinon utilisez InfoPsp() )
	//SonyOskInfoPsp(TIME_FORMAT,intext2);		// Ici on demande le pseudo pour l'utiliser avec le clavier (sinon utilisez InfoPsp() )
	//SonyOskInfoPsp(TIMEZONE,intext2);			// Ici on demande le pseudo pour l'utiliser avec le clavier (sinon utilisez InfoPsp() )
	//SonyOskInfoPsp(DAYLIGHTSAVINGS,intext2);	// Ici on demande le pseudo pour l'utiliser avec le clavier (sinon utilisez InfoPsp() )
	//SonyOskInfoPsp(LANGUAGE,intext2);			// Ici on demande le pseudo pour l'utiliser avec le clavier (sinon utilisez InfoPsp() )
	
	
	/*** Debut insertion clavier en png ( demande de connaitre les bases de l'utilisation de la libpng, mais permet l'affichage d'un fond d'cran!)  ***/
	// Ici on cherche  afficher le clavier AVEC un fond d'cran!
	unsigned short desc2[128] = {'E','n','t','r','e','z',' ','v','o','t','r','e',' ','t','e','x','t','e',0};
	char inputpng1[128]="";					// inputgu va stocker la saisie clavier lanc avec le GU
	SonyOskPng(inputpng1,"background.png",intext2,desc2);
	/*** Fin insertion  ***/


	pspDebugScreenInit();
	pspDebugScreenClear();
	printf("\n PSPOSK Library Sample v1.2 - PEB\n");
	printf("--------------------------------------------------------------------\n\n\n\n");
	
	printf("Le clavier renvoi  : %s\n\n", inputpng1);
	printf("\n\nSony vous remercie! Retour au XMB dans 5 sec...");
	


	sceKernelDelayThread(1000*1000*5);
	sceKernelExitGame();
	return 0;
} 



/** CALLBACK  **/
int exit_callback(int arg1, int arg2, void *common){/* Exit callback */
   sceKernelExitGame();
   return 0;
}
int CallbackThread(SceSize args, void *argp){/* Callback thread */
   int cbid;
   cbid = sceKernelCreateCallback("Exit Callback", exit_callback, NULL);
   sceKernelRegisterExitCallback(cbid);
   sceKernelSleepThreadCB();

   return 0;
}
int SetupCallbacks(void){/* Sets up the callback thread and returns its thread id */
   int thid = 0;
   thid = sceKernelCreateThread("update_thread", CallbackThread, 0x11, 0xFA0, 0, 0);
   if (thid >= 0)
       sceKernelStartThread(thid, 0, 0);
   return thid;
}



